> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send signup email to a donor



## OpenAPI

````yaml get /admin/donor/{commitment_id}/email
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor/{commitment_id}/email:
    get:
      tags:
        - Donor
      summary: Send signup email to a donor
      operationId: 54f03b5c43dce102d94d3f4044eaa80c
      parameters:
        - name: commitment_id
          in: path
          description: ID of the commitment
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Email sent successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: success
                type: object
        '400':
          description: 'Error: Commitment broken, please fix'
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Commitment broken, please fix.'
                  status:
                    type: string
                    example: error
                type: object
        '404':
          description: >-
            Error: Commitment not found / Donor not found / Program not found /
            Email could not send
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Commitment not found.'
                  status:
                    type: string
                    example: error
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````